org.sonatype.maven.polyglot

## Class PolyglotModelProcessor

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotModelProcessor

All Implemented Interfaces:
  org.apache.maven.model.building.ModelProcessor, org.apache.maven.model.io.ModelReader, org.apache.maven.model.locator.ModelLocator

    @Component(role=org.apache.maven.model.building.ModelProcessor.class,
               hint="polyglot")
    public class PolyglotModelProcessor
    extends java.lang.Object
    implements org.apache.maven.model.building.ModelProcessor

Polyglot model processor.

Since:
  0.7
Author:
  Jason Dillon

### Field Summary

Fields
`protected org.codehaus.plexus.logging.Logger` `log`

### Fields inherited from interface org.apache.maven.model.building.ModelProcessor

`SOURCE`

### Fields inherited from interface org.apache.maven.model.io.ModelReader

`INPUT_SOURCE, IS_STRICT`

### Constructor Summary

Constructors
Constructor and Description
`PolyglotModelProcessor()`

### Method Summary

Methods
`java.io.File` `locatePom(java.io.File dir)`
`org.apache.maven.model.Model` `read(java.io.File input, java.util.Map<java.lang.String,?> options)`
`org.apache.maven.model.Model` `read(java.io.InputStream input, java.util.Map<java.lang.String,?> options)`
`org.apache.maven.model.Model` `read(java.io.Reader input, java.util.Map<java.lang.String,?> options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    @Requirement
    protected org.codehaus.plexus.logging.Logger log

### Constructor Detail

#### PolyglotModelProcessor

    public PolyglotModelProcessor()

### Method Detail

#### locatePom

    public java.io.File locatePom(java.io.File dir)

Specified by:
  `locatePom` in interface `org.apache.maven.model.locator.ModelLocator`

#### read

    public org.apache.maven.model.Model read(java.io.File input,
                                    java.util.Map<java.lang.String,?> options)
                                      throws java.io.IOException,
                                             org.apache.maven.model.io.ModelParseException

Specified by:
  `read` in interface `org.apache.maven.model.io.ModelReader`
Throws:
  `java.io.IOException`
  `org.apache.maven.model.io.ModelParseException`

#### read

    public org.apache.maven.model.Model read(java.io.InputStream input,
                                    java.util.Map<java.lang.String,?> options)
                                      throws java.io.IOException,
                                             org.apache.maven.model.io.ModelParseException

Specified by:
  `read` in interface `org.apache.maven.model.io.ModelReader`
Throws:
  `java.io.IOException`
  `org.apache.maven.model.io.ModelParseException`

#### read

    public org.apache.maven.model.Model read(java.io.Reader input,
                                    java.util.Map<java.lang.String,?> options)
                                      throws java.io.IOException,
                                             org.apache.maven.model.io.ModelParseException

Specified by:
  `read` in interface `org.apache.maven.model.io.ModelReader`
Throws:
  `java.io.IOException`
  `org.apache.maven.model.io.ModelParseException`